Skip to main content
`Ctrl`+`K`
scipy.signal.

# kaiser_beta

scipy.signal.kaiser_beta(a)

  Compute the Kaiser parameter beta, given the attenuation a.

  Parameters:
    a float

      The desired attenuation in the stopband and maximum ripple in the passband, in dB. This should be a positive number.

  Returns:
    beta float

      The beta parameter to be used in the formula for a Kaiser window.

  Notes

  Array API Standard Support

  `kaiser_beta` is not in-scope for support of Python Array API Standard compatible backends other than NumPy.

  See Support for the array API standard for more information.

  References

  Oppenheim, Schafer, “Discrete-Time Signal Processing”, p.475-476.

  Examples

  Suppose we want to design a lowpass filter, with 65 dB attenuation in the stop band. The Kaiser window parameter to be used in the window method is computed by `kaiser_beta(65)`:

      >>> from scipy.signal import kaiser_beta
      >>> kaiser_beta(65)
      6.20426